mount_thickness=5;
mount_length=50;
mount_height=10;
mount_hole_diameter=4;
mount_hole_separation=37;
bottom_mount_hole=81.5;
$fn=96;

module short_leg(){
difference(){
translate([-mount_thickness,-mount_length/2+25,-5])
cube([mount_thickness,mount_length,mount_height]);
translate([-mount_thickness,25-mount_hole_separation/2,0])
rotate([0,90,0])
cylinder(d=mount_hole_diameter,h=mount_thickness);
translate([-mount_thickness,25+mount_hole_separation/2,0])
rotate([0,90,0])
cylinder(d=mount_hole_diameter,h=mount_thickness);
}
translate([-mount_thickness-100,25-mount_length/2-mount_thickness,-mount_height/2])
cube([100+mount_thickness,mount_thickness,mount_height]);
translate([-mount_thickness-2,25+mount_length/2,-mount_height/2])
cube([2+mount_thickness,2,mount_height]);
translate([-mount_thickness-4,25+mount_length/2-2,-mount_height/2])
cube([2,4,mount_height]);
}

difference(){
short_leg();
translate([-mount_thickness-bottom_mount_hole,-mount_thickness-0.1,0])
rotate([-90,0,0])
cylinder(d=mount_hole_diameter*1.5,h=mount_thickness*2);
}
CLIP_H = 10;
HOLE_DEPTH = 9;
HOLE_DIAMETER = 2.9;

module din_clip() {
	
	difference() {

		linear_extrude(height=CLIP_H, center=true, convexity=5) {
			import(file="din_clip_01.dxf", layer="0", $fn=64);
		}

		union() {

			translate([0, 40, 0]) {
				rotate([0, 90, 0]) {
					cylinder(h= HOLE_DEPTH, r = HOLE_DIAMETER / 2, $fn = 16);
				}
			}

			translate([0, 10, 0]) {
				rotate([0, 90, 0]) {
					cylinder(h= HOLE_DEPTH, r = HOLE_DIAMETER / 2, $fn = 16);
				}
			}
		}
}

}

translate([0,-10,0])
din_clip();

