mount_thickness=4;
mount_length=64;
mount_height=10;
mount_hole_diameter=3;
mount_hole_separation=54;
mount_hole_vertical_offset=25;
$fn=96;

module arms(){
translate([-mount_thickness-mount_hole_vertical_offset,-mount_length/2+25,-5])
cube([mount_thickness+mount_hole_vertical_offset,11,10]);
translate([-mount_thickness-mount_hole_vertical_offset,mount_length/2+25-11,-5])
cube([mount_thickness+mount_hole_vertical_offset,11,10]);
translate([-mount_thickness,-mount_length/2+25,-5])
cube([mount_thickness,mount_length,mount_height]);
}

difference(){
arms();
translate([-mount_thickness-mount_hole_vertical_offset,25+mount_hole_separation/2,0])
rotate([0,90,0])
cylinder(d=mount_hole_diameter,h=20);
translate([-mount_thickness-mount_hole_vertical_offset,25-mount_hole_separation/2,0])
rotate([0,90,0])
cylinder(d=mount_hole_diameter,h=20);
}

CLIP_H = 10;
HOLE_DEPTH = 9;
HOLE_DIAMETER = 2.9;

module din_clip() {
	
	difference() {

		linear_extrude(height=CLIP_H, center=true, convexity=5) {
			import(file="din_clip_01.dxf", layer="0", $fn=64);
		}

		union() {

			translate([0, 40, 0]) {
				rotate([0, 90, 0]) {
					cylinder(h= HOLE_DEPTH, r = HOLE_DIAMETER / 2, $fn = 16);
				}
			}

			translate([0, 10, 0]) {
				rotate([0, 90, 0]) {
					cylinder(h= HOLE_DEPTH, r = HOLE_DIAMETER / 2, $fn = 16);
				}
			}
		}
}

}

din_clip();

