mount_thickness=5;
mount_length=54;
mount_height=10;
mount_hole_diameter=3;
mount_hole_separation=47;
$fn=96;

difference(){
translate([-mount_thickness,-mount_length/2+25,-5])
cube([mount_thickness,mount_length,mount_height]);
translate([-mount_thickness,25-mount_hole_separation/2,0])
rotate([0,90,0])
cylinder(d=mount_hole_diameter,h=mount_thickness);
translate([-mount_thickness,25+mount_hole_separation/2,0])
rotate([0,90,0])
cylinder(d=mount_hole_diameter,h=mount_thickness);
}

CLIP_H = 10;
HOLE_DEPTH = 9;
HOLE_DIAMETER = 2.9;

module din_clip() {
	
	difference() {

		linear_extrude(height=CLIP_H, center=true, convexity=5) {
			import(file="din_clip_01.dxf", layer="0", $fn=64);
		}

		union() {

			translate([0, 40, 0]) {
				rotate([0, 90, 0]) {
					cylinder(h= HOLE_DEPTH, r = HOLE_DIAMETER / 2, $fn = 16);
				}
			}

			translate([0, 10, 0]) {
				rotate([0, 90, 0]) {
					cylinder(h= HOLE_DEPTH, r = HOLE_DIAMETER / 2, $fn = 16);
				}
			}
		}
}

}

din_clip();

