oval_width=6.1;
oval_length=3.15;
oval_thickness=1;
inner_rectangle_length=2.65;
inner_rectangle_width=2.8;
inner_rectangle_thickness=2.3;
clip_height=15;
mount_width=8.5; //part the plexiglass tabs connect to
overall_width=23.75; //width of the entire base (does not include the clip section
mount_thickness=2;
plexiglass_thickness=4.5;
plexiglass_mount_thickness=2;
plexiglass_mount_length=20;
plexiglass_mount_hole_diameter=4;
plexiglass_offcenter=0.75*25.4-2; //adjustment to make plexiglass offcenter
$fn=196;

extrusion_clip();
translate([-plexiglass_offcenter,0,0])
plexiglass_mount();
if(plexiglass_offcenter-5>0){
translate([-plexiglass_offcenter,0,0])
cube([overall_width,mount_thickness,clip_height]);
}

module plexiglass_mount(){
translate([-mount_width/2,0,0])
cube([mount_width,mount_thickness,clip_height]);
difference(){
union(){
translate([-plexiglass_mount_thickness-plexiglass_thickness/2,mount_thickness,0])
cube([plexiglass_mount_thickness,plexiglass_mount_length,clip_height]);
translate([plexiglass_thickness/2,mount_thickness,0])
cube([plexiglass_mount_thickness,plexiglass_mount_length,clip_height]);
}
translate([-mount_width/2-0.01,mount_thickness+plexiglass_mount_length/2,clip_height/2])
rotate([0,90,0])
cylinder(h=clip_height+0.02,d=plexiglass_mount_hole_diameter);
}
}

module extrusion_clip(){
translate([0,-oval_length/2-inner_rectangle_length,0])
offcenter_extrusion_clip();
}

module offcenter_extrusion_clip(){
difference(){
scale([(oval_width+oval_thickness)/(oval_length+oval_thickness),1,1])
cylinder(d=oval_length+2*oval_thickness,h=clip_height);
translate([0,0,-0.01])
scale([oval_width/oval_length,1,1])
cylinder(d=oval_length,h=clip_height+0.02);
translate([-inner_rectangle_width/2,oval_length/2*0.9,-0.01])
cube([inner_rectangle_width,oval_thickness*2,clip_height+0.02]);
}

translate([-inner_rectangle_width/2-inner_rectangle_thickness,oval_length/2*0.9,0])
cube([inner_rectangle_thickness,oval_thickness+inner_rectangle_thickness,clip_height]);
translate([inner_rectangle_width/2,oval_length/2*0.9,0])
cube([inner_rectangle_thickness,oval_thickness+inner_rectangle_thickness,clip_height]);
}

