oval_width=6.1;
oval_length=3.15;
oval_thickness=1;
inner_rectangle_length=2.65;
inner_rectangle_width=2.8;
inner_rectangle_thickness=2.3;
clip_height=15;
mount_width=15;
mount_thickness=2;
velcro_loop_hole_width=5;
velcro_loop_hole_thickness=2.5;
velcro_loop_width=12;
$fn=196;

extrusion_clip();
velcro_mount();

module velcro_mount(){
translate([-mount_width/2,0,0])
cube([mount_width,mount_thickness,clip_height]);
difference(){
translate([-velcro_loop_hole_width/2,mount_thickness,0])
cube([velcro_loop_hole_width,velcro_loop_hole_thickness+mount_thickness,clip_height]);
translate([-velcro_loop_hole_width/2-0.01,mount_thickness,(clip_height-velcro_loop_width)/2])
cube([velcro_loop_hole_width+0.02,velcro_loop_hole_thickness,velcro_loop_width]);
}
}

module extrusion_clip(){
translate([0,-oval_length/2-inner_rectangle_length,0])
offcenter_extrusion_clip();
}

module offcenter_extrusion_clip(){
difference(){
scale([(oval_width+oval_thickness)/(oval_length+oval_thickness),1,1])
cylinder(d=oval_length+2*oval_thickness,h=clip_height);
translate([0,0,-0.01])
scale([oval_width/oval_length,1,1])
cylinder(d=oval_length,h=clip_height+0.02);
translate([-inner_rectangle_width/2,oval_length/2*0.9,-0.01])
cube([inner_rectangle_width,oval_thickness*2,clip_height+0.02]);
}

translate([-inner_rectangle_width/2-inner_rectangle_thickness,oval_length/2*0.9,0])
cube([inner_rectangle_thickness,oval_thickness+inner_rectangle_thickness,clip_height]);
translate([inner_rectangle_width/2,oval_length/2*0.9,0])
cube([inner_rectangle_thickness,oval_thickness+inner_rectangle_thickness,clip_height]);
}

