shaft_diameter=7; //7mm for 6.25mm (1/4") shaft
shaft_mount_screw_diameter=3;
crank_diameter=50;
crank_thickness=6;
handle_diameter=5;
handle_length=15;
handle_mount_screw_diameter=4;
shaft_mount_screw_head_diameter=8; //may be size of screw head/screwdriver or larger
$fn=196;

module subtract_shapes(){
cylinder(d=shaft_diameter,h=crank_thickness);
translate([-crank_diameter/3,0,-0.01])
cylinder(d=crank_diameter/5,h=crank_thickness+0.02);
translate([crank_diameter/3,0,-0.01])
cylinder(d=crank_diameter/5,h=crank_thickness+0.02);
translate([0,-crank_diameter/3,-0.01])
cylinder(d=crank_diameter/5,h=crank_thickness+0.02);
translate([0,crank_diameter/3,-0.01])
cylinder(d=handle_mount_screw_diameter+1,h=crank_thickness+0.02);

rotate([0,0,45])
translate([-crank_thickness/2,0,-0.01])
cube([crank_thickness,crank_diameter*7/16,crank_thickness+0.02]);

rotate([0,0,45+90])
translate([-crank_thickness/2,0,-0.01])
cube([crank_thickness,crank_diameter*7/16,crank_thickness+0.02]);

rotate([0,0,45+180])
translate([-crank_thickness/2,0,-0.01])
cube([crank_thickness,crank_diameter*7/16,crank_thickness+0.02]);

rotate([0,0,45+270])
translate([-crank_thickness/2-1.25,0,-0.01])
cube([crank_thickness+2.5,crank_diameter*7/16,crank_thickness+0.02]);
}

module middle_outline(){
difference(){
cylinder(d=shaft_diameter+crank_thickness*2,h=crank_thickness);
translate([0,0,-0.01])
cylinder(d=shaft_diameter,h=crank_thickness+0.02);
}
}

module mostly_done(){
middle_outline();
difference(){
cylinder(d=crank_diameter,h=crank_thickness);
subtract_shapes();
}

translate([(shaft_diameter+crank_thickness*2)/2,(shaft_diameter+crank_thickness*2)/2,0])
rotate([0,0,-45])
translate([-crank_thickness,0,0])
cube([crank_thickness*2,3,crank_thickness]);

translate([(shaft_diameter+crank_thickness)/3,(shaft_diameter+crank_thickness)/3,0])
rotate([0,0,-45])
translate([-crank_thickness,0,0])
cube([crank_thickness*2,3,crank_thickness]);

translate([shaft_diameter/4,shaft_diameter/4,0])
rotate([0,0,-45])
translate([-crank_thickness,0,0])
cube([crank_thickness*2,3,crank_thickness]);
}

difference(){
mostly_done();
rotate([90,0,135])
translate([0,crank_thickness/2,0])
cylinder(d=shaft_mount_screw_diameter,h=crank_diameter);
rotate([90,0,135])
translate([0,crank_thickness/2,crank_diameter/3])
cylinder(d=shaft_mount_screw_head_diameter,h=crank_diameter);
}