nut_width=9.5; //9.5mm for #6 SAE nut
screw_diameter=4; //4mm for #6 SAE machine screw
nut_thickness=4; //4mm for #6 SAE nut
t_nut_width=16; //overall width
aluminum_opening_width=7.5; //7.5mm for 80/20 series 1530
t_nut_length=20;
t_nut_height=9; //overall height
t_nut_neck_height=4;
t_nut_body_height=2;
nut_offset=0; //offset the nut cutout along the width
$fn=96;

module solid_t_nut(){
translate([-aluminum_opening_width/2,-t_nut_length/2,0])
cube([aluminum_opening_width,t_nut_length,t_nut_neck_height]);
translate([-t_nut_width/2,-t_nut_length/2,t_nut_neck_height])
cube([t_nut_width, t_nut_length,t_nut_body_height]);
difference(){
translate([-t_nut_width/2,-t_nut_length/2,t_nut_neck_height+t_nut_body_height])
cube([t_nut_width, t_nut_length,t_nut_height-t_nut_body_height-t_nut_neck_height]);
translate([-t_nut_width/2,-t_nut_length/2-0.01,t_nut_neck_height+t_nut_body_height])
rotate([0,-45,0])
cube([t_nut_width,t_nut_length+0.02,t_nut_height-t_nut_body_height-t_nut_neck_height]);
translate([t_nut_width/2,-t_nut_length/2-0.01,t_nut_neck_height+t_nut_body_height])
rotate([0,-45,0])
cube([t_nut_height,t_nut_length+0.02,t_nut_width]);
}
}

module solid_hex_nut_and_screw(){
rotate([0,0,30])
cylinder(d=nut_width,h=nut_thickness+0.01,$fn=6);
translate([0,0,-t_nut_height-0.01])
cylinder(d=screw_diameter,h=t_nut_height+0.02);
}

difference(){
solid_t_nut();
translate([nut_offset,0,t_nut_height-nut_thickness])
solid_hex_nut_and_screw();
}